/*
 *  This file is part of the WebKit open source project.
 *  This file has been generated by generate-bindings.pl. DO NOT MODIFY!
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */

#ifndef WebKitDOMHTMLButtonElementUnstable_h
#define WebKitDOMHTMLButtonElementUnstable_h

#ifdef WEBKIT_DOM_USE_UNSTABLE_API

#include <webkitdom/webkitdomdefines-unstable.h>

G_BEGIN_DECLS

/**
 * webkit_dom_html_button_element_check_validity:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_button_element_check_validity(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_custom_validity:
 * @self: A #WebKitDOMHTMLButtonElement
 * @error: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_custom_validity(WebKitDOMHTMLButtonElement* self, const gchar* error);

/**
 * webkit_dom_html_button_element_get_form_action:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_button_element_get_form_action(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_form_action:
 * @self: A #WebKitDOMHTMLButtonElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_form_action(WebKitDOMHTMLButtonElement* self, const gchar* value);

/**
 * webkit_dom_html_button_element_get_form_enctype:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_button_element_get_form_enctype(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_form_enctype:
 * @self: A #WebKitDOMHTMLButtonElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_form_enctype(WebKitDOMHTMLButtonElement* self, const gchar* value);

/**
 * webkit_dom_html_button_element_get_form_method:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_button_element_get_form_method(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_form_method:
 * @self: A #WebKitDOMHTMLButtonElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_form_method(WebKitDOMHTMLButtonElement* self, const gchar* value);

/**
 * webkit_dom_html_button_element_get_form_no_validate:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_button_element_get_form_no_validate(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_form_no_validate:
 * @self: A #WebKitDOMHTMLButtonElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_form_no_validate(WebKitDOMHTMLButtonElement* self, gboolean value);

/**
 * webkit_dom_html_button_element_get_form_target:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_button_element_get_form_target(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_set_form_target:
 * @self: A #WebKitDOMHTMLButtonElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_button_element_set_form_target(WebKitDOMHTMLButtonElement* self, const gchar* value);

/**
 * webkit_dom_html_button_element_get_validity:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: (transfer full): A #WebKitDOMValidityState
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMValidityState*
webkit_dom_html_button_element_get_validity(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_get_validation_message:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_button_element_get_validation_message(WebKitDOMHTMLButtonElement* self);

/**
 * webkit_dom_html_button_element_get_labels:
 * @self: A #WebKitDOMHTMLButtonElement
 *
 * Returns: (transfer full): A #WebKitDOMNodeList
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMNodeList*
webkit_dom_html_button_element_get_labels(WebKitDOMHTMLButtonElement* self);


G_END_DECLS

#endif /* WEBKIT_DOM_USE_UNSTABLE_API */
#endif /* WebKitDOMHTMLButtonElementUnstable_h */
