/*
 *  This file is part of the WebKit open source project.
 *  This file has been generated by generate-bindings.pl. DO NOT MODIFY!
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */

#ifndef WebKitDOMHTMLInputElementUnstable_h
#define WebKitDOMHTMLInputElementUnstable_h

#ifdef WEBKIT_DOM_USE_UNSTABLE_API

#include <webkitdom/webkitdomdefines-unstable.h>

G_BEGIN_DECLS

/**
 * webkit_dom_html_input_element_step_up:
 * @self: A #WebKitDOMHTMLInputElement
 * @n: A #glong
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_step_up(WebKitDOMHTMLInputElement* self, glong n, GError** error);

/**
 * webkit_dom_html_input_element_step_down:
 * @self: A #WebKitDOMHTMLInputElement
 * @n: A #glong
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_step_down(WebKitDOMHTMLInputElement* self, glong n, GError** error);

/**
 * webkit_dom_html_input_element_check_validity:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_check_validity(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_custom_validity:
 * @self: A #WebKitDOMHTMLInputElement
 * @error: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_custom_validity(WebKitDOMHTMLInputElement* self, const gchar* error);

/**
 * webkit_dom_html_input_element_set_range_text:
 * @self: A #WebKitDOMHTMLInputElement
 * @replacement: A #gchar
 * @start: A #gulong
 * @end: A #gulong
 * @selectionMode: A #gchar
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_range_text(WebKitDOMHTMLInputElement* self, const gchar* replacement, gulong start, gulong end, const gchar* selectionMode, GError** error);

/**
 * webkit_dom_html_input_element_set_value_for_user:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_value_for_user(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_autocomplete:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_autocomplete(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_autocomplete:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_autocomplete(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_set_default_checked:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_default_checked(WebKitDOMHTMLInputElement* self, gboolean value);

/**
 * webkit_dom_html_input_element_get_dir_name:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_dir_name(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_dir_name:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_dir_name(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_form_action:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_form_action(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_form_action:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_form_action(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_form_enctype:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_form_enctype(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_form_enctype:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_form_enctype(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_form_method:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_form_method(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_form_method:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_form_method(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_form_no_validate:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_get_form_no_validate(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_form_no_validate:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_form_no_validate(WebKitDOMHTMLInputElement* self, gboolean value);

/**
 * webkit_dom_html_input_element_get_form_target:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_form_target(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_form_target:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_form_target(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_list:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: (transfer none): A #WebKitDOMHTMLElement
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMHTMLElement*
webkit_dom_html_input_element_get_list(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_get_max:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_max(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_max:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_max(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_min:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_min(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_min:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_min(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_pattern:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_pattern(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_pattern:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_pattern(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_placeholder:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_placeholder(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_placeholder:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_placeholder(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_read_only:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_get_read_only(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_get_required:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_get_required(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_required:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_required(WebKitDOMHTMLInputElement* self, gboolean value);

/**
 * webkit_dom_html_input_element_get_step:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_step(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_step:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_step(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_get_value_as_number:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gdouble
 *
 * Stability: Unstable
**/
WEBKIT_API gdouble
webkit_dom_html_input_element_get_value_as_number(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_value_as_number:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gdouble
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_value_as_number(WebKitDOMHTMLInputElement* self, gdouble value, GError** error);

/**
 * webkit_dom_html_input_element_get_validity:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: (transfer full): A #WebKitDOMValidityState
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMValidityState*
webkit_dom_html_input_element_get_validity(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_get_validation_message:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_validation_message(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_get_labels:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: (transfer full): A #WebKitDOMNodeList
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMNodeList*
webkit_dom_html_input_element_get_labels(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_get_incremental:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_get_incremental(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_incremental:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_incremental(WebKitDOMHTMLInputElement* self, gboolean value);

/**
 * webkit_dom_html_input_element_get_autocorrect:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_input_element_get_autocorrect(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_autocorrect:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_autocorrect(WebKitDOMHTMLInputElement* self, gboolean value);

/**
 * webkit_dom_html_input_element_get_autocapitalize:
 * @self: A #WebKitDOMHTMLInputElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_input_element_get_autocapitalize(WebKitDOMHTMLInputElement* self);

/**
 * webkit_dom_html_input_element_set_autocapitalize:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_autocapitalize(WebKitDOMHTMLInputElement* self, const gchar* value);

/**
 * webkit_dom_html_input_element_set_capture:
 * @self: A #WebKitDOMHTMLInputElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_input_element_set_capture(WebKitDOMHTMLInputElement* self, gboolean value);


G_END_DECLS

#endif /* WEBKIT_DOM_USE_UNSTABLE_API */
#endif /* WebKitDOMHTMLInputElementUnstable_h */
