/*
 *  This file is part of the WebKit open source project.
 *  This file has been generated by generate-bindings.pl. DO NOT MODIFY!
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */

#ifndef WebKitDOMHTMLTextAreaElementUnstable_h
#define WebKitDOMHTMLTextAreaElementUnstable_h

#ifdef WEBKIT_DOM_USE_UNSTABLE_API

#include <webkitdom/webkitdomdefines-unstable.h>

G_BEGIN_DECLS

/**
 * webkit_dom_html_text_area_element_check_validity:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_text_area_element_check_validity(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_custom_validity:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @error: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_custom_validity(WebKitDOMHTMLTextAreaElement* self, const gchar* error);

/**
 * webkit_dom_html_text_area_element_set_range_text:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @replacement: A #gchar
 * @start: A #gulong
 * @end: A #gulong
 * @selectionMode: A #gchar
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_range_text(WebKitDOMHTMLTextAreaElement* self, const gchar* replacement, gulong start, gulong end, const gchar* selectionMode, GError** error);

/**
 * webkit_dom_html_text_area_element_get_dir_name:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_dir_name(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_dir_name:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_dir_name(WebKitDOMHTMLTextAreaElement* self, const gchar* value);

/**
 * webkit_dom_html_text_area_element_get_max_length:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #glong
 *
 * Stability: Unstable
**/
WEBKIT_API glong
webkit_dom_html_text_area_element_get_max_length(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_max_length:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #glong
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_max_length(WebKitDOMHTMLTextAreaElement* self, glong value, GError** error);

/**
 * webkit_dom_html_text_area_element_get_placeholder:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_placeholder(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_placeholder:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_placeholder(WebKitDOMHTMLTextAreaElement* self, const gchar* value);

/**
 * webkit_dom_html_text_area_element_get_required:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_text_area_element_get_required(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_required:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_required(WebKitDOMHTMLTextAreaElement* self, gboolean value);

/**
 * webkit_dom_html_text_area_element_get_wrap:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_wrap(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_wrap:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_wrap(WebKitDOMHTMLTextAreaElement* self, const gchar* value);

/**
 * webkit_dom_html_text_area_element_get_text_length:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_text_area_element_get_text_length(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_get_validity:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: (transfer full): A #WebKitDOMValidityState
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMValidityState*
webkit_dom_html_text_area_element_get_validity(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_get_validation_message:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_validation_message(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_get_labels:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: (transfer full): A #WebKitDOMNodeList
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMNodeList*
webkit_dom_html_text_area_element_get_labels(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_get_selection_direction:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_selection_direction(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_selection_direction:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_selection_direction(WebKitDOMHTMLTextAreaElement* self, const gchar* value);

/**
 * webkit_dom_html_text_area_element_get_autocorrect:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_text_area_element_get_autocorrect(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_autocorrect:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_autocorrect(WebKitDOMHTMLTextAreaElement* self, gboolean value);

/**
 * webkit_dom_html_text_area_element_get_autocapitalize:
 * @self: A #WebKitDOMHTMLTextAreaElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_text_area_element_get_autocapitalize(WebKitDOMHTMLTextAreaElement* self);

/**
 * webkit_dom_html_text_area_element_set_autocapitalize:
 * @self: A #WebKitDOMHTMLTextAreaElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_text_area_element_set_autocapitalize(WebKitDOMHTMLTextAreaElement* self, const gchar* value);


G_END_DECLS

#endif /* WEBKIT_DOM_USE_UNSTABLE_API */
#endif /* WebKitDOMHTMLTextAreaElementUnstable_h */
