/*
 *  This file is part of the WebKit open source project.
 *  This file has been generated by generate-bindings.pl. DO NOT MODIFY!
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */

#ifndef WebKitDOMHTMLVideoElement_h
#define WebKitDOMHTMLVideoElement_h

#ifdef WEBKIT_DOM_USE_UNSTABLE_API

#include <glib-object.h>
#include <webkitdom/WebKitDOMHTMLMediaElement.h>
#include <webkitdom/webkitdomdefines-unstable.h>

G_BEGIN_DECLS

#define WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT            (webkit_dom_html_video_element_get_type())
#define WEBKIT_DOM_HTML_VIDEO_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT, WebKitDOMHTMLVideoElement))
#define WEBKIT_DOM_HTML_VIDEO_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT, WebKitDOMHTMLVideoElementClass)
#define WEBKIT_DOM_IS_HTML_VIDEO_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT))
#define WEBKIT_DOM_IS_HTML_VIDEO_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT))
#define WEBKIT_DOM_HTML_VIDEO_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  WEBKIT_DOM_TYPE_HTML_VIDEO_ELEMENT, WebKitDOMHTMLVideoElementClass))

struct _WebKitDOMHTMLVideoElement {
    WebKitDOMHTMLMediaElement parent_instance;
};

struct _WebKitDOMHTMLVideoElementClass {
    WebKitDOMHTMLMediaElementClass parent_class;
};

WEBKIT_API GType
webkit_dom_html_video_element_get_type(void);

/**
 * webkit_dom_html_video_element_webkit_enter_fullscreen:
 * @self: A #WebKitDOMHTMLVideoElement
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_webkit_enter_fullscreen(WebKitDOMHTMLVideoElement* self, GError** error);

/**
 * webkit_dom_html_video_element_webkit_exit_fullscreen:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_webkit_exit_fullscreen(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_webkit_enter_full_screen:
 * @self: A #WebKitDOMHTMLVideoElement
 * @error: #GError
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_webkit_enter_full_screen(WebKitDOMHTMLVideoElement* self, GError** error);

/**
 * webkit_dom_html_video_element_webkit_exit_full_screen:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_webkit_exit_full_screen(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_width:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_width(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_set_width:
 * @self: A #WebKitDOMHTMLVideoElement
 * @value: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_set_width(WebKitDOMHTMLVideoElement* self, gulong value);

/**
 * webkit_dom_html_video_element_get_height:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_height(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_set_height:
 * @self: A #WebKitDOMHTMLVideoElement
 * @value: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_set_height(WebKitDOMHTMLVideoElement* self, gulong value);

/**
 * webkit_dom_html_video_element_get_video_width:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_video_width(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_video_height:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_video_height(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_poster:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_html_video_element_get_poster(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_set_poster:
 * @self: A #WebKitDOMHTMLVideoElement
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_set_poster(WebKitDOMHTMLVideoElement* self, const gchar* value);

/**
 * webkit_dom_html_video_element_get_webkit_supports_fullscreen:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_video_element_get_webkit_supports_fullscreen(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_webkit_displaying_fullscreen:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_video_element_get_webkit_displaying_fullscreen(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_webkit_wireless_video_playback_disabled:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API gboolean
webkit_dom_html_video_element_get_webkit_wireless_video_playback_disabled(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_set_webkit_wireless_video_playback_disabled:
 * @self: A #WebKitDOMHTMLVideoElement
 * @value: A #gboolean
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_html_video_element_set_webkit_wireless_video_playback_disabled(WebKitDOMHTMLVideoElement* self, gboolean value);

/**
 * webkit_dom_html_video_element_get_webkit_decoded_frame_count:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_webkit_decoded_frame_count(WebKitDOMHTMLVideoElement* self);

/**
 * webkit_dom_html_video_element_get_webkit_dropped_frame_count:
 * @self: A #WebKitDOMHTMLVideoElement
 *
 * Returns: A #gulong
 *
 * Stability: Unstable
**/
WEBKIT_API gulong
webkit_dom_html_video_element_get_webkit_dropped_frame_count(WebKitDOMHTMLVideoElement* self);

G_END_DECLS

#endif /* WEBKIT_DOM_USE_UNSTABLE_API */
#endif /* WebKitDOMHTMLVideoElement_h */
