/*
 *  This file is part of the WebKit open source project.
 *  This file has been generated by generate-bindings.pl. DO NOT MODIFY!
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */

#ifndef WebKitDOMSpeechSynthesisUtterance_h
#define WebKitDOMSpeechSynthesisUtterance_h

#ifdef WEBKIT_DOM_USE_UNSTABLE_API

#include <glib-object.h>
#include <webkitdom/WebKitDOMObject.h>
#include <webkitdom/webkitdomdefines-unstable.h>

G_BEGIN_DECLS

#define WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE            (webkit_dom_speech_synthesis_utterance_get_type())
#define WEBKIT_DOM_SPEECH_SYNTHESIS_UTTERANCE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE, WebKitDOMSpeechSynthesisUtterance))
#define WEBKIT_DOM_SPEECH_SYNTHESIS_UTTERANCE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE, WebKitDOMSpeechSynthesisUtteranceClass)
#define WEBKIT_DOM_IS_SPEECH_SYNTHESIS_UTTERANCE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE))
#define WEBKIT_DOM_IS_SPEECH_SYNTHESIS_UTTERANCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE))
#define WEBKIT_DOM_SPEECH_SYNTHESIS_UTTERANCE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  WEBKIT_DOM_TYPE_SPEECH_SYNTHESIS_UTTERANCE, WebKitDOMSpeechSynthesisUtteranceClass))

struct _WebKitDOMSpeechSynthesisUtterance {
    WebKitDOMObject parent_instance;
};

struct _WebKitDOMSpeechSynthesisUtteranceClass {
    WebKitDOMObjectClass parent_class;
};

WEBKIT_API GType
webkit_dom_speech_synthesis_utterance_get_type(void);

/**
 * webkit_dom_speech_synthesis_utterance_get_text:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_speech_synthesis_utterance_get_text(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_text:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_text(WebKitDOMSpeechSynthesisUtterance* self, const gchar* value);

/**
 * webkit_dom_speech_synthesis_utterance_get_lang:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API gchar*
webkit_dom_speech_synthesis_utterance_get_lang(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_lang:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #gchar
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_lang(WebKitDOMSpeechSynthesisUtterance* self, const gchar* value);

/**
 * webkit_dom_speech_synthesis_utterance_get_voice:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: (transfer full): A #WebKitDOMSpeechSynthesisVoice
 *
 * Stability: Unstable
**/
WEBKIT_API WebKitDOMSpeechSynthesisVoice*
webkit_dom_speech_synthesis_utterance_get_voice(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_voice:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #WebKitDOMSpeechSynthesisVoice
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_voice(WebKitDOMSpeechSynthesisUtterance* self, WebKitDOMSpeechSynthesisVoice* value);

/**
 * webkit_dom_speech_synthesis_utterance_get_volume:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API gfloat
webkit_dom_speech_synthesis_utterance_get_volume(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_volume:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_volume(WebKitDOMSpeechSynthesisUtterance* self, gfloat value);

/**
 * webkit_dom_speech_synthesis_utterance_get_rate:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API gfloat
webkit_dom_speech_synthesis_utterance_get_rate(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_rate:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_rate(WebKitDOMSpeechSynthesisUtterance* self, gfloat value);

/**
 * webkit_dom_speech_synthesis_utterance_get_pitch:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 *
 * Returns: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API gfloat
webkit_dom_speech_synthesis_utterance_get_pitch(WebKitDOMSpeechSynthesisUtterance* self);

/**
 * webkit_dom_speech_synthesis_utterance_set_pitch:
 * @self: A #WebKitDOMSpeechSynthesisUtterance
 * @value: A #gfloat
 *
 * Stability: Unstable
**/
WEBKIT_API void
webkit_dom_speech_synthesis_utterance_set_pitch(WebKitDOMSpeechSynthesisUtterance* self, gfloat value);

G_END_DECLS

#endif /* WEBKIT_DOM_USE_UNSTABLE_API */
#endif /* WebKitDOMSpeechSynthesisUtterance_h */
